diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/lte-spectrum-phy.cc ns-3.33/src/lte/model/lte-spectrum-phy.cc
--- ns-3.32/src/lte/model/lte-spectrum-phy.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/lte-spectrum-phy.cc	2021-01-09 10:19:22.000000000 -0800
@@ -44,13 +44,13 @@
 NS_LOG_COMPONENT_DEFINE ("LteSpectrumPhy");
 
 
-/// duration of SRS portion of UL subframe  
+/// duration of SRS portion of UL subframe
 /// = 1 symbol for SRS -1ns as margin to avoid overlapping simulator events
-static const Time UL_SRS_DURATION = NanoSeconds (71429 -1);  
+static const Time UL_SRS_DURATION = NanoSeconds (71429 - 1);
 
 /// duration of the control portion of a subframe
 /// = 0.001 / 14 * 3 (ctrl fixed to 3 symbols) -1ns as margin to avoid overlapping simulator events
-static const Time DL_CTRL_DURATION = NanoSeconds (214286 -1);
+static const Time DL_CTRL_DURATION = NanoSeconds (214286 - 1);
 
 /// Effective coding rate
 static const double EffectiveCodingRate[29] = {
@@ -87,16 +87,14 @@
 
 
 
-  
+
 TbId_t::TbId_t ()
-{
-}
+{}
 
 TbId_t::TbId_t (const uint16_t a, const uint8_t b)
-: m_rnti (a),
-  m_layer (b)
-{
-}
+  : m_rnti (a),
+    m_layer (b)
+{}
 
 /**
  * Equality operator
@@ -172,7 +170,7 @@
   m_ltePhyUlHarqFeedbackCallback = MakeNullCallback< void, UlInfoListElement_s > ();
   m_ltePhyRxPssCallback = MakeNullCallback< void, uint16_t, Ptr<SpectrumValue> > ();
   SpectrumPhy::DoDispose ();
-} 
+}
 
 /**
  * Output stream output operator
@@ -185,27 +183,27 @@
 {
   switch (s)
     {
-    case LteSpectrumPhy::IDLE:
-      os << "IDLE";
-      break;
-    case LteSpectrumPhy::RX_DATA:
-      os << "RX_DATA";
-      break;
-    case LteSpectrumPhy::RX_DL_CTRL:
-      os << "RX_DL_CTRL";
-      break;
-    case LteSpectrumPhy::TX_DATA:
-      os << "TX_DATA";
-      break;
-    case LteSpectrumPhy::TX_DL_CTRL:
-      os << "TX_DL_CTRL";
-      break;
-    case LteSpectrumPhy::TX_UL_SRS:
-      os << "TX_UL_SRS";
-      break;
-    default:
-      os << "UNKNOWN";
-      break;
+      case LteSpectrumPhy::IDLE:
+        os << "IDLE";
+        break;
+      case LteSpectrumPhy::RX_DATA:
+        os << "RX_DATA";
+        break;
+      case LteSpectrumPhy::RX_DL_CTRL:
+        os << "RX_DL_CTRL";
+        break;
+      case LteSpectrumPhy::TX_DATA:
+        os << "TX_DATA";
+        break;
+      case LteSpectrumPhy::TX_DL_CTRL:
+        os << "TX_DL_CTRL";
+        break;
+      case LteSpectrumPhy::TX_UL_SRS:
+        os << "TX_UL_SRS";
+        break;
+      default:
+        os << "UNKNOWN";
+        break;
     }
   return os;
 }
@@ -215,7 +213,7 @@
 {
   static TypeId tid = TypeId ("ns3::LteSpectrumPhy")
     .SetParent<SpectrumPhy> ()
-    .SetGroupName("Lte")
+    .SetGroupName ("Lte")
     .AddTraceSource ("TxStart",
                      "Trace fired when a new transmission is started",
                      MakeTraceSourceAccessor (&LteSpectrumPhy::m_phyTxStartTrace),
@@ -237,15 +235,15 @@
                      MakeTraceSourceAccessor (&LteSpectrumPhy::m_phyRxEndErrorTrace),
                      "ns3::Packet::TracedCallback")
     .AddAttribute ("DataErrorModelEnabled",
-                    "Activate/Deactivate the error model of data (TBs of PDSCH and PUSCH) [by default is active].",
-                    BooleanValue (true),
+                   "Activate/Deactivate the error model of data (TBs of PDSCH and PUSCH) [by default is active].",
+                   BooleanValue (true),
                    MakeBooleanAccessor (&LteSpectrumPhy::m_dataErrorModelEnabled),
-                    MakeBooleanChecker ())
+                   MakeBooleanChecker ())
     .AddAttribute ("CtrlErrorModelEnabled",
-                    "Activate/Deactivate the error model of control (PCFICH-PDCCH decodification) [by default is active].",
-                    BooleanValue (true),
-                    MakeBooleanAccessor (&LteSpectrumPhy::m_ctrlErrorModelEnabled),
-                    MakeBooleanChecker ())
+                   "Activate/Deactivate the error model of control (PCFICH-PDCCH decodification) [by default is active].",
+                   BooleanValue (true),
+                   MakeBooleanAccessor (&LteSpectrumPhy::m_ctrlErrorModelEnabled),
+                   MakeBooleanChecker ())
     .AddTraceSource ("DlPhyReception",
                      "DL reception PHY layer statistics.",
                      MakeTraceSourceAccessor (&LteSpectrumPhy::m_dlPhyReception),
@@ -299,7 +297,7 @@
   m_channel = c;
 }
 
-Ptr<SpectrumChannel> 
+Ptr<SpectrumChannel>
 LteSpectrumPhy::GetChannel ()
 {
   return m_channel;
@@ -331,8 +329,8 @@
   m_interferenceCtrl->SetNoisePowerSpectralDensity (noisePsd);
 }
 
-  
-void 
+
+void
 LteSpectrumPhy::Reset ()
 {
   NS_LOG_FUNCTION (this);
@@ -447,58 +445,58 @@
 {
   NS_LOG_FUNCTION (this << pb);
   NS_LOG_LOGIC (this << " state: " << m_state);
-  
+
   m_phyTxStartTrace (pb);
-  
+
   switch (m_state)
     {
-    case RX_DATA:
-    case RX_DL_CTRL:
-    case RX_UL_SRS:
-      NS_FATAL_ERROR ("cannot TX while RX: according to FDD channel access, the physical layer for transmission cannot be used for reception");
-      break;
-
-    case TX_DATA:
-    case TX_DL_CTRL:      
-    case TX_UL_SRS:
-      NS_FATAL_ERROR ("cannot TX while already TX: the MAC should avoid this");
-      break;
-      
-    case IDLE:
-    {
-      /*
-      m_txPsd must be set by the device, according to
-      (i) the available subchannel for transmission
-      (ii) the power transmission
-      */
-      NS_ASSERT (m_txPsd);
-      m_txPacketBurst = pb;
-      
-      // we need to convey some PHY meta information to the receiver
-      // to be used for simulation purposes (e.g., the CellId). This
-      // is done by setting the ctrlMsgList parameter of
-      // LteSpectrumSignalParametersDataFrame
-      ChangeState (TX_DATA);
-      NS_ASSERT (m_channel);
-      Ptr<LteSpectrumSignalParametersDataFrame> txParams = Create<LteSpectrumSignalParametersDataFrame> ();
-      txParams->duration = duration;
-      txParams->txPhy = GetObject<SpectrumPhy> ();
-      txParams->txAntenna = m_antenna;
-      txParams->psd = m_txPsd;
-      txParams->packetBurst = pb;
-      txParams->ctrlMsgList = ctrlMsgList;
-      txParams->cellId = m_cellId;
-      m_channel->StartTx (txParams);
-      m_endTxEvent = Simulator::Schedule (duration, &LteSpectrumPhy::EndTxData, this);
-    }
-    return false;
-    break;
-    
-    default:
-      NS_FATAL_ERROR ("unknown state");
-      return true;
-      break;
-  }
+      case RX_DATA:
+      case RX_DL_CTRL:
+      case RX_UL_SRS:
+        NS_FATAL_ERROR ("cannot TX while RX: according to FDD channel access, the physical layer for transmission cannot be used for reception");
+        break;
+
+      case TX_DATA:
+      case TX_DL_CTRL:
+      case TX_UL_SRS:
+        NS_FATAL_ERROR ("cannot TX while already TX: the MAC should avoid this");
+        break;
+
+      case IDLE:
+        {
+          /*
+          m_txPsd must be set by the device, according to
+          (i) the available subchannel for transmission
+          (ii) the power transmission
+          */
+          NS_ASSERT (m_txPsd);
+          m_txPacketBurst = pb;
+
+          // we need to convey some PHY meta information to the receiver
+          // to be used for simulation purposes (e.g., the CellId). This
+          // is done by setting the ctrlMsgList parameter of
+          // LteSpectrumSignalParametersDataFrame
+          ChangeState (TX_DATA);
+          NS_ASSERT (m_channel);
+          Ptr<LteSpectrumSignalParametersDataFrame> txParams = Create<LteSpectrumSignalParametersDataFrame> ();
+          txParams->duration = duration;
+          txParams->txPhy = GetObject<SpectrumPhy> ();
+          txParams->txAntenna = m_antenna;
+          txParams->psd = m_txPsd;
+          txParams->packetBurst = pb;
+          txParams->ctrlMsgList = ctrlMsgList;
+          txParams->cellId = m_cellId;
+          m_channel->StartTx (txParams);
+          m_endTxEvent = Simulator::Schedule (duration, &LteSpectrumPhy::EndTxData, this);
+        }
+        return false;
+        break;
+
+      default:
+        NS_FATAL_ERROR ("unknown state");
+        return true;
+        break;
+    }
 }
 
 bool
@@ -506,56 +504,56 @@
 {
   NS_LOG_FUNCTION (this << " PSS " << (uint16_t)pss);
   NS_LOG_LOGIC (this << " state: " << m_state);
-  
+
   switch (m_state)
-  {
-    case RX_DATA:
-    case RX_DL_CTRL:
-    case RX_UL_SRS:
-      NS_FATAL_ERROR ("cannot TX while RX: according to FDD channel access, the physical layer for transmission cannot be used for reception");
-      break;
-      
-    case TX_DATA:
-    case TX_DL_CTRL:
-    case TX_UL_SRS:
-      NS_FATAL_ERROR ("cannot TX while already TX: the MAC should avoid this");
-      break;
-      
-    case IDLE:
-    {
-      /*
-      m_txPsd must be set by the device, according to
-      (i) the available subchannel for transmission
-      (ii) the power transmission
-      */
-      NS_ASSERT (m_txPsd);
-      
-      // we need to convey some PHY meta information to the receiver
-      // to be used for simulation purposes (e.g., the CellId). This
-      // is done by setting the cellId parameter of
-      // LteSpectrumSignalParametersDlCtrlFrame
-      ChangeState (TX_DL_CTRL);
-      NS_ASSERT (m_channel);
-
-      Ptr<LteSpectrumSignalParametersDlCtrlFrame> txParams = Create<LteSpectrumSignalParametersDlCtrlFrame> ();
-      txParams->duration = DL_CTRL_DURATION;
-      txParams->txPhy = GetObject<SpectrumPhy> ();
-      txParams->txAntenna = m_antenna;
-      txParams->psd = m_txPsd;
-      txParams->cellId = m_cellId;
-      txParams->pss = pss;
-      txParams->ctrlMsgList = ctrlMsgList;
-      m_channel->StartTx (txParams);
-      m_endTxEvent = Simulator::Schedule (DL_CTRL_DURATION, &LteSpectrumPhy::EndTxDlCtrl, this);
-    }
-    return false;
-    break;
-    
-    default:
-      NS_FATAL_ERROR ("unknown state");
-      return true;
-      break;
-  }
+    {
+      case RX_DATA:
+      case RX_DL_CTRL:
+      case RX_UL_SRS:
+        NS_FATAL_ERROR ("cannot TX while RX: according to FDD channel access, the physical layer for transmission cannot be used for reception");
+        break;
+
+      case TX_DATA:
+      case TX_DL_CTRL:
+      case TX_UL_SRS:
+        NS_FATAL_ERROR ("cannot TX while already TX: the MAC should avoid this");
+        break;
+
+      case IDLE:
+        {
+          /*
+          m_txPsd must be set by the device, according to
+          (i) the available subchannel for transmission
+          (ii) the power transmission
+          */
+          NS_ASSERT (m_txPsd);
+
+          // we need to convey some PHY meta information to the receiver
+          // to be used for simulation purposes (e.g., the CellId). This
+          // is done by setting the cellId parameter of
+          // LteSpectrumSignalParametersDlCtrlFrame
+          ChangeState (TX_DL_CTRL);
+          NS_ASSERT (m_channel);
+
+          Ptr<LteSpectrumSignalParametersDlCtrlFrame> txParams = Create<LteSpectrumSignalParametersDlCtrlFrame> ();
+          txParams->duration = DL_CTRL_DURATION;
+          txParams->txPhy = GetObject<SpectrumPhy> ();
+          txParams->txAntenna = m_antenna;
+          txParams->psd = m_txPsd;
+          txParams->cellId = m_cellId;
+          txParams->pss = pss;
+          txParams->ctrlMsgList = ctrlMsgList;
+          m_channel->StartTx (txParams);
+          m_endTxEvent = Simulator::Schedule (DL_CTRL_DURATION, &LteSpectrumPhy::EndTxDlCtrl, this);
+        }
+        return false;
+        break;
+
+      default:
+        NS_FATAL_ERROR ("unknown state");
+        return true;
+        break;
+    }
 }
 
 
@@ -564,54 +562,54 @@
 {
   NS_LOG_FUNCTION (this);
   NS_LOG_LOGIC (this << " state: " << m_state);
-  
+
   switch (m_state)
     {
-    case RX_DATA:
-    case RX_DL_CTRL:
-    case RX_UL_SRS:
-      NS_FATAL_ERROR ("cannot TX while RX: according to FDD channel access, the physical layer for transmission cannot be used for reception");
-      break;
-      
-    case TX_DL_CTRL:
-    case TX_DATA:
-    case TX_UL_SRS:
-      NS_FATAL_ERROR ("cannot TX while already TX: the MAC should avoid this");
-      break;
-      
-    case IDLE:
-    {
-      /*
-      m_txPsd must be set by the device, according to
-      (i) the available subchannel for transmission
-      (ii) the power transmission
-      */
-      NS_ASSERT (m_txPsd);
-      NS_LOG_LOGIC (this << " m_txPsd: " << *m_txPsd);
-      
-      // we need to convey some PHY meta information to the receiver
-      // to be used for simulation purposes (e.g., the CellId). This
-      // is done by setting the cellId parameter of 
-      // LteSpectrumSignalParametersDlCtrlFrame
-      ChangeState (TX_UL_SRS);
-      NS_ASSERT (m_channel);
-      Ptr<LteSpectrumSignalParametersUlSrsFrame> txParams = Create<LteSpectrumSignalParametersUlSrsFrame> ();
-      txParams->duration = UL_SRS_DURATION;
-      txParams->txPhy = GetObject<SpectrumPhy> ();
-      txParams->txAntenna = m_antenna;
-      txParams->psd = m_txPsd;
-      txParams->cellId = m_cellId;
-      m_channel->StartTx (txParams);
-      m_endTxEvent = Simulator::Schedule (UL_SRS_DURATION, &LteSpectrumPhy::EndTxUlSrs, this);
-    }
-    return false;
-    break;
-    
-    default:
-      NS_FATAL_ERROR ("unknown state");
-      return true;
-      break;
-  }
+      case RX_DATA:
+      case RX_DL_CTRL:
+      case RX_UL_SRS:
+        NS_FATAL_ERROR ("cannot TX while RX: according to FDD channel access, the physical layer for transmission cannot be used for reception");
+        break;
+
+      case TX_DL_CTRL:
+      case TX_DATA:
+      case TX_UL_SRS:
+        NS_FATAL_ERROR ("cannot TX while already TX: the MAC should avoid this");
+        break;
+
+      case IDLE:
+        {
+          /*
+          m_txPsd must be set by the device, according to
+          (i) the available subchannel for transmission
+          (ii) the power transmission
+          */
+          NS_ASSERT (m_txPsd);
+          NS_LOG_LOGIC (this << " m_txPsd: " << *m_txPsd);
+
+          // we need to convey some PHY meta information to the receiver
+          // to be used for simulation purposes (e.g., the CellId). This
+          // is done by setting the cellId parameter of
+          // LteSpectrumSignalParametersDlCtrlFrame
+          ChangeState (TX_UL_SRS);
+          NS_ASSERT (m_channel);
+          Ptr<LteSpectrumSignalParametersUlSrsFrame> txParams = Create<LteSpectrumSignalParametersUlSrsFrame> ();
+          txParams->duration = UL_SRS_DURATION;
+          txParams->txPhy = GetObject<SpectrumPhy> ();
+          txParams->txAntenna = m_antenna;
+          txParams->psd = m_txPsd;
+          txParams->cellId = m_cellId;
+          m_channel->StartTx (txParams);
+          m_endTxEvent = Simulator::Schedule (UL_SRS_DURATION, &LteSpectrumPhy::EndTxUlSrs, this);
+        }
+        return false;
+        break;
+
+      default:
+        NS_FATAL_ERROR ("unknown state");
+        return true;
+        break;
+    }
 }
 
 
@@ -658,10 +656,10 @@
 {
   NS_LOG_FUNCTION (this << spectrumRxParams);
   NS_LOG_LOGIC (this << " state: " << m_state);
-  
+
   Ptr <const SpectrumValue> rxPsd = spectrumRxParams->psd;
   Time duration = spectrumRxParams->duration;
-  
+
   // the device might start RX only if the signal is of a type
   // understood by this device - in this case, an LTE signal.
   Ptr<LteSpectrumSignalParametersDataFrame> lteDataRxParams = DynamicCast<LteSpectrumSignalParametersDataFrame> (spectrumRxParams);
@@ -672,12 +670,12 @@
       m_interferenceData->AddSignal (rxPsd, duration);
       StartRxData (lteDataRxParams);
     }
-  else if (lteDlCtrlRxParams!=0)
+  else if (lteDlCtrlRxParams != 0)
     {
       m_interferenceCtrl->AddSignal (rxPsd, duration);
       StartRxDlCtrl (lteDlCtrlRxParams);
     }
-  else if (lteUlSrsRxParams!=0)
+  else if (lteUlSrsRxParams != 0)
     {
       m_interferenceCtrl->AddSignal (rxPsd, duration);
       StartRxUlSrs (lteUlSrsRxParams);
@@ -687,7 +685,7 @@
       // other type of signal (could be 3G, GSM, whatever) -> interference
       m_interferenceData->AddSignal (rxPsd, duration);
       m_interferenceCtrl->AddSignal (rxPsd, duration);
-    }    
+    }
 }
 
 void
@@ -723,7 +721,7 @@
                   // start RX
                   m_firstRxStart = Simulator::Now ();
                   m_firstRxDuration = params->duration;
-                  NS_LOG_LOGIC (this << " scheduling EndRx with delay " << params->duration.GetSeconds () << "s");
+                  NS_LOG_LOGIC (this << " scheduling EndRx with delay " << params->duration.As (Time::S));
                   m_endRxDataEvent = Simulator::Schedule (params->duration, &LteSpectrumPhy::EndRxData, this);
                 }
               else
@@ -733,37 +731,37 @@
                   // should occur at the same time and have the same
                   // duration, otherwise the interference calculation
                   // won't be correct
-                  NS_ASSERT ((m_firstRxStart == Simulator::Now ()) 
-                  && (m_firstRxDuration == params->duration));
+                  NS_ASSERT ((m_firstRxStart == Simulator::Now ())
+                             && (m_firstRxDuration == params->duration));
                 }
-              
+
               ChangeState (RX_DATA);
               if (params->packetBurst)
                 {
                   m_rxPacketBurstList.push_back (params->packetBurst);
                   m_interferenceData->StartRx (params->psd);
-                  
+
                   m_phyRxStartTrace (params->packetBurst);
                 }
-                NS_LOG_DEBUG (this << " insert msgs " << params->ctrlMsgList.size ());
+              NS_LOG_DEBUG (this << " insert msgs " << params->ctrlMsgList.size ());
               m_rxControlMessageList.insert (m_rxControlMessageList.end (), params->ctrlMsgList.begin (), params->ctrlMsgList.end ());
-              
+
               NS_LOG_LOGIC (this << " numSimultaneousRxEvents = " << m_rxPacketBurstList.size ());
             }
           else
             {
-              NS_LOG_LOGIC (this << " not in sync with this signal (cellId=" 
-              << params->cellId  << ", m_cellId=" << m_cellId << ")");
+              NS_LOG_LOGIC (this << " not in sync with this signal (cellId="
+                                 << params->cellId  << ", m_cellId=" << m_cellId << ")");
             }
         }
         break;
-        
-        default:
-          NS_FATAL_ERROR ("unknown state");
-          break;
-      }
-      
-   NS_LOG_LOGIC (this << " state: " << m_state);
+
+      default:
+        NS_FATAL_ERROR ("unknown state");
+        break;
+    }
+
+  NS_LOG_LOGIC (this << " state: " << m_state);
 }
 
 
@@ -776,76 +774,76 @@
   // To check if we're synchronized to this signal, we check
   // for the CellId which is reported in the
   // LteSpectrumSignalParametersDlCtrlFrame
-  uint16_t cellId;        
+  uint16_t cellId;
   NS_ASSERT (lteDlCtrlRxParams != 0);
   cellId = lteDlCtrlRxParams->cellId;
 
   switch (m_state)
     {
-    case TX_DATA:
-    case TX_DL_CTRL:
-    case TX_UL_SRS:
-    case RX_DATA:
-    case RX_UL_SRS:
-      NS_FATAL_ERROR ("unexpected event in state " << m_state);
-      break;
-
-    case RX_DL_CTRL:
-    case IDLE:
-
-      // common code for the two states
-      // check presence of PSS for UE measuerements
-      if (lteDlCtrlRxParams->pss == true)
-        {
-          if (!m_ltePhyRxPssCallback.IsNull ())
+      case TX_DATA:
+      case TX_DL_CTRL:
+      case TX_UL_SRS:
+      case RX_DATA:
+      case RX_UL_SRS:
+        NS_FATAL_ERROR ("unexpected event in state " << m_state);
+        break;
+
+      case RX_DL_CTRL:
+      case IDLE:
+
+        // common code for the two states
+        // check presence of PSS for UE measuerements
+        if (lteDlCtrlRxParams->pss == true)
+          {
+            if (!m_ltePhyRxPssCallback.IsNull ())
               {
                 m_ltePhyRxPssCallback (cellId, lteDlCtrlRxParams->psd);
               }
-        }   
+          }
 
-      // differentiated code for the two states
-      switch (m_state)
-        {
-        case RX_DL_CTRL:
-          NS_ASSERT_MSG (m_cellId != cellId, "any other DlCtrl should be from a different cell");
-          NS_LOG_LOGIC (this << " ignoring other DlCtrl (cellId=" 
-                        << cellId  << ", m_cellId=" << m_cellId << ")");      
-          break;
-          
-        case IDLE:
-          if (cellId  == m_cellId)
-            {
-              NS_LOG_LOGIC (this << " synchronized with this signal (cellId=" << cellId << ")");
-              
-              NS_ASSERT (m_rxControlMessageList.empty ());
-              m_firstRxStart = Simulator::Now ();
-              m_firstRxDuration = lteDlCtrlRxParams->duration;
-              NS_LOG_LOGIC (this << " scheduling EndRx with delay " << lteDlCtrlRxParams->duration);
-              
-              // store the DCIs
-              m_rxControlMessageList = lteDlCtrlRxParams->ctrlMsgList;
-              m_endRxDlCtrlEvent = Simulator::Schedule (lteDlCtrlRxParams->duration, &LteSpectrumPhy::EndRxDlCtrl, this);
-              ChangeState (RX_DL_CTRL);
-              m_interferenceCtrl->StartRx (lteDlCtrlRxParams->psd);            
-            }
-          else
-            {
-              NS_LOG_LOGIC (this << " not synchronizing with this signal (cellId=" 
-                            << cellId  << ", m_cellId=" << m_cellId << ")");          
-            }
-          break;
-          
-        default:
-          NS_FATAL_ERROR ("unexpected event in state " << m_state);
-          break;
-        }
-      break; // case RX_DL_CTRL or IDLE
-      
-    default:
-      NS_FATAL_ERROR ("unknown state");
-      break;
+        // differentiated code for the two states
+        switch (m_state)
+          {
+            case RX_DL_CTRL:
+              NS_ASSERT_MSG (m_cellId != cellId, "any other DlCtrl should be from a different cell");
+              NS_LOG_LOGIC (this << " ignoring other DlCtrl (cellId="
+                                 << cellId  << ", m_cellId=" << m_cellId << ")");
+              break;
+
+            case IDLE:
+              if (cellId  == m_cellId)
+                {
+                  NS_LOG_LOGIC (this << " synchronized with this signal (cellId=" << cellId << ")");
+
+                  NS_ASSERT (m_rxControlMessageList.empty ());
+                  m_firstRxStart = Simulator::Now ();
+                  m_firstRxDuration = lteDlCtrlRxParams->duration;
+                  NS_LOG_LOGIC (this << " scheduling EndRx with delay " << lteDlCtrlRxParams->duration);
+
+                  // store the DCIs
+                  m_rxControlMessageList = lteDlCtrlRxParams->ctrlMsgList;
+                  m_endRxDlCtrlEvent = Simulator::Schedule (lteDlCtrlRxParams->duration, &LteSpectrumPhy::EndRxDlCtrl, this);
+                  ChangeState (RX_DL_CTRL);
+                  m_interferenceCtrl->StartRx (lteDlCtrlRxParams->psd);
+                }
+              else
+                {
+                  NS_LOG_LOGIC (this << " not synchronizing with this signal (cellId="
+                                     << cellId  << ", m_cellId=" << m_cellId << ")");
+                }
+              break;
+
+            default:
+              NS_FATAL_ERROR ("unexpected event in state " << m_state);
+              break;
+          }
+        break; // case RX_DL_CTRL or IDLE
+
+      default:
+        NS_FATAL_ERROR ("unknown state");
+        break;
     }
-  
+
   NS_LOG_LOGIC (this << " state: " << m_state);
 }
 
@@ -858,67 +856,67 @@
   NS_LOG_FUNCTION (this);
   switch (m_state)
     {
-    case TX_DATA:
-    case TX_DL_CTRL:
-    case TX_UL_SRS:
-      NS_FATAL_ERROR ("cannot RX while TX: according to FDD channel access, the physical layer for transmission cannot be used for reception");
-      break;
-
-    case RX_DATA:
-    case RX_DL_CTRL:
-      NS_FATAL_ERROR ("cannot RX SRS while receiving something else");
-      break;
-
-    case IDLE:
-    case RX_UL_SRS:
-      // the behavior is similar when
-      // we're IDLE or RX_UL_SRS because we can receive more signals
-      // simultaneously at the eNB
-      {
-        // To check if we're synchronized to this signal, we check
-        // for the CellId which is reported in the
-        // LteSpectrumSignalParametersDlCtrlFrame
-        uint16_t cellId;
-        cellId = lteUlSrsRxParams->cellId;
-        if (cellId  == m_cellId)
-          {
-            NS_LOG_LOGIC (this << " synchronized with this signal (cellId=" << cellId << ")");
-            if (m_state == IDLE)
-              {
-                // first transmission, i.e., we're IDLE and we
-                // start RX
-                NS_ASSERT (m_rxControlMessageList.empty ());
-                m_firstRxStart = Simulator::Now ();
-                m_firstRxDuration = lteUlSrsRxParams->duration;
-                NS_LOG_LOGIC (this << " scheduling EndRx with delay " << lteUlSrsRxParams->duration);
+      case TX_DATA:
+      case TX_DL_CTRL:
+      case TX_UL_SRS:
+        NS_FATAL_ERROR ("cannot RX while TX: according to FDD channel access, the physical layer for transmission cannot be used for reception");
+        break;
 
-                m_endRxUlSrsEvent = Simulator::Schedule (lteUlSrsRxParams->duration, &LteSpectrumPhy::EndRxUlSrs, this);
-              }
-            else if (m_state == RX_UL_SRS)
-              {
-                // sanity check: if there are multiple RX events, they
-                // should occur at the same time and have the same
-                // duration, otherwise the interference calculation
-                // won't be correct
-                NS_ASSERT ((m_firstRxStart == Simulator::Now ()) 
-                           && (m_firstRxDuration == lteUlSrsRxParams->duration));
-              }            
-            ChangeState (RX_UL_SRS);
-            m_interferenceCtrl->StartRx (lteUlSrsRxParams->psd);          
-          }
-        else
-          {
-            NS_LOG_LOGIC (this << " not in sync with this signal (cellId=" 
-                          << cellId  << ", m_cellId=" << m_cellId << ")");          
-          }
-      }
-      break;
-      
-    default:
-      NS_FATAL_ERROR ("unknown state");
-      break;
+      case RX_DATA:
+      case RX_DL_CTRL:
+        NS_FATAL_ERROR ("cannot RX SRS while receiving something else");
+        break;
+
+      case IDLE:
+      case RX_UL_SRS:
+        // the behavior is similar when
+        // we're IDLE or RX_UL_SRS because we can receive more signals
+        // simultaneously at the eNB
+        {
+          // To check if we're synchronized to this signal, we check
+          // for the CellId which is reported in the
+          // LteSpectrumSignalParametersDlCtrlFrame
+          uint16_t cellId;
+          cellId = lteUlSrsRxParams->cellId;
+          if (cellId  == m_cellId)
+            {
+              NS_LOG_LOGIC (this << " synchronized with this signal (cellId=" << cellId << ")");
+              if (m_state == IDLE)
+                {
+                  // first transmission, i.e., we're IDLE and we
+                  // start RX
+                  NS_ASSERT (m_rxControlMessageList.empty ());
+                  m_firstRxStart = Simulator::Now ();
+                  m_firstRxDuration = lteUlSrsRxParams->duration;
+                  NS_LOG_LOGIC (this << " scheduling EndRx with delay " << lteUlSrsRxParams->duration);
+
+                  m_endRxUlSrsEvent = Simulator::Schedule (lteUlSrsRxParams->duration, &LteSpectrumPhy::EndRxUlSrs, this);
+                }
+              else if (m_state == RX_UL_SRS)
+                {
+                  // sanity check: if there are multiple RX events, they
+                  // should occur at the same time and have the same
+                  // duration, otherwise the interference calculation
+                  // won't be correct
+                  NS_ASSERT ((m_firstRxStart == Simulator::Now ())
+                             && (m_firstRxDuration == lteUlSrsRxParams->duration));
+                }
+              ChangeState (RX_UL_SRS);
+              m_interferenceCtrl->StartRx (lteUlSrsRxParams->psd);
+            }
+          else
+            {
+              NS_LOG_LOGIC (this << " not in sync with this signal (cellId="
+                                 << cellId  << ", m_cellId=" << m_cellId << ")");
+            }
+        }
+        break;
+
+      default:
+        NS_FATAL_ERROR ("unknown state");
+        break;
     }
-  
+
   NS_LOG_LOGIC (this << " state: " << m_state);
 }
 
@@ -986,15 +984,15 @@
   NS_LOG_DEBUG (this << " No. of burts " << m_rxPacketBurstList.size ());
   NS_LOG_DEBUG (this << " Expected TBs " << m_expectedTbs.size ());
   expectedTbs_t::iterator itTb = m_expectedTbs.begin ();
-  
+
   // apply transmission mode gain
   NS_LOG_DEBUG (this << " txMode " << (uint16_t)m_transmissionMode << " gain " << m_txModeGain.at (m_transmissionMode));
   NS_ASSERT (m_transmissionMode < m_txModeGain.size ());
   m_sinrPerceived *= m_txModeGain.at (m_transmissionMode);
-  
-  while (itTb!=m_expectedTbs.end ())
+
+  while (itTb != m_expectedTbs.end ())
     {
-      if ((m_dataErrorModelEnabled)&&(m_rxPacketBurstList.size ()>0)) // avoid to check for errors when there is no actual data transmitted
+      if ((m_dataErrorModelEnabled)&&(m_rxPacketBurstList.size () > 0)) // avoid to check for errors when there is no actual data transmitted
         {
           // retrieve HARQ info
           HarqProcessInfoList_t harqInfoList;
@@ -1027,7 +1025,7 @@
           params.m_size = (*itTb).second.size;
           params.m_rv = (*itTb).second.rv;
           params.m_ndi = (*itTb).second.ndi;
-          params.m_correctness = (uint8_t)!(*itTb).second.corrupt;
+          params.m_correctness = (uint8_t) !(*itTb).second.corrupt;
           params.m_ccId = m_componentCarrierId;
           if ((*itTb).second.downlink)
             {
